# Get Packaging

## /packaging

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/packaging`

This endpoint allows you to retrieve a list of packaging available for a user.

#### Query Parameters

| Name    | Type   | Description                                                                                      |
| ------- | ------ | ------------------------------------------------------------------------------------------------ |
| type    | String | When provided, returns types of packaging that match the value provided. e.g. ***soft-package*** |
| perPage | Number | Specify how many records will be included in a single response. Defaults to 100.                 |
| page    | Number | Specify what page will be included in a single response. Defaults to 1.                          |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="200 Packaging retrieved successfully." %}

```json
{
    "status": true,
    "message": "Packaging retrieved successfully",
    "data": {
        "packaging": [
            {
                "height": 5,
                "id": "LsuiGzcYlz4dKRYnEXeobJu9gnVbQVXN",
                "length": 40,
                "name": "Soft Packaging",
                "packaging_id": "PA-97263925515",
                "size_unit": "cm",
                "type": "soft-package",
                "weight": 0.01,
                "weight_unit": "kg",
                "width": 30,
                "created_at": "2021-07-13T20:25:53.011Z",
                "updated_at": "2021-07-13T20:25:53.011Z"
            },
            {
                "height": 20,
                "id": "33QSBg4cpi9mPcV2IwJg0ZZzRNUcC9l",
                "length": 20,
                "name": "Box Packaging",
                "packaging_id": "PA-45873778254",
                "size_unit": "cm",
                "type": "box-package",
                "weight": 0.01,
                "weight_unit": "kg",
                "width": 20,
                "created_at": "2021-07-13T20:25:53.011Z",
                "updated_at": "2021-07-13T20:25:53.011Z"
            }],
        "pagination": {
            "perPage": 100,
            "prevPage": null,
            "nextPage": 2,
            "currentPage": 1,
            "total": 3,
            "pageCount": 3,
            "pagingCounter": 1,
            "hasPrevPage": false,
            "hasNextPage": true	
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/packaging/get-packaging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
